Package com.documentum.fc.client.content

# Interface IDfCAStore

All Superinterfaces:
  `IDfPersistentObject`, `IDfStore`, `IDfTypedObject`

public interface IDfCAStore extends IDfStore
A content addressable storage area.

Since:
  5.4

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContentAttrCount()`
  `String`
  `getContentAttrDesc(int index)`
  `String`
  `getContentAttrName(int index)`
  `IDfTime`
  `getDefaultRetentionDate()`
  `int`
  `getDefaultRetentionDays()`
  `IDfId`
  `getPluginId()`
  `String`
  `getPluginName()`
  `String`
  `getRetentionAttrName()`
  `String`
  `getStorageParams(int index)`
  `int`
  `getStorageParamsCount()`
  `boolean`
  `isFullBlobNameRetryEnabled()`
  `boolean`
  `isRetentionAttrRequired()`
  `void`
  `removeContentAttr(int index)`
  `void`
  `setContentAttr(int index, String value, String description)`
  `void`
  `setDefaultRetentionDate(IDfTime value)`
  `void`
  `setDefaultRetentionDays(int days)`
  `void`
  `setFullBlobNameRetry(boolean enable)`
  `void`
  `setPluginId(IDfId value)`
  `void`
  `setPluginName(String pluginObjectName)`
  `void`
  `setRetentionAttrName(String value)`
  `void`
  `setRetentionAttrRequired(boolean value)`
  `void`
  `setStorageParams(int index, String value)`

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.content.IDfStore

  `getBaseUrl, getCapacity, getComponent, getComponentCount, getComponentId, getComponentIdCount, getCompressionMode, getContentDuplPref, getContentHashMode, getCredentialId, getCredentialKey, getCryptoKey, getCryptoMode, getCurrentUse, getDigitalShredding, getGetMethod, getJavaAccess, getMediaType, getName, getNativeAccess, getOfflineGetMethod, getRequireTicket, getStatus, getStoreType, getUseMaskAfter, setBaseUrl, setCapacity, setComponent, setCompressionMode, setContentDuplPref, setContentHashMode, setCredentialId, setCredentialKey, setCryptoKey, setCryptoMode, setCurrentUse, setDigitalShredding, setGetMethod, setJavaAccess, setMediaType, setName, setNativeAccess, setOfflineGetMethod, setRequireTicket, setStatus, setStoreType`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### getPluginId

    IDfId getPluginId() throws DfException
    Throws:
      `DfException`

  - ### setPluginId

    void setPluginId(IDfId value) throws DfException
    Throws:
      `DfException`

  - ### getStorageParamsCount

    int getStorageParamsCount() throws DfException
    Throws:
      `DfException`

  - ### getStorageParams

    String getStorageParams(int index) throws DfException
    Throws:
      `DfException`

  - ### setStorageParams

    void setStorageParams(int index, String value) throws DfException
    Throws:
      `DfException`

  - ### getContentAttrCount

    int getContentAttrCount() throws DfException
    Throws:
      `DfException`

  - ### getContentAttrName

    String getContentAttrName(int index) throws DfException
    Throws:
      `DfException`

  - ### setContentAttr

    void setContentAttr(int index, String value, String description) throws DfException
    Throws:
      `DfException`

  - ### removeContentAttr

    void removeContentAttr(int index) throws DfException
    Throws:
      `DfException`

  - ### getContentAttrDesc

    String getContentAttrDesc(int index) throws DfException
    Throws:
      `DfException`

  - ### getRetentionAttrName

    String getRetentionAttrName() throws DfException
    Throws:
      `DfException`

  - ### setRetentionAttrName

    void setRetentionAttrName(String value) throws DfException
    Throws:
      `DfException`

  - ### isRetentionAttrRequired

    boolean isRetentionAttrRequired() throws DfException
    Throws:
      `DfException`

  - ### setRetentionAttrRequired

    void setRetentionAttrRequired(boolean value) throws DfException
    Throws:
      `DfException`

  - ### getDefaultRetentionDate

    IDfTime getDefaultRetentionDate() throws DfException
    Throws:
      `DfException`

  - ### setDefaultRetentionDate

    void setDefaultRetentionDate(IDfTime value) throws DfException
    Throws:
      `DfException`

  - ### setPluginName

    void setPluginName(String pluginObjectName) throws DfException
    Throws:
      `DfException`

  - ### getPluginName

    String getPluginName() throws DfException
    Throws:
      `DfException`

  - ### getDefaultRetentionDays

    int getDefaultRetentionDays() throws DfException
    Throws:
      `DfException`

  - ### setDefaultRetentionDays

    void setDefaultRetentionDays(int days) throws DfException
    Throws:
      `DfException`

  - ### setFullBlobNameRetry

    void setFullBlobNameRetry(boolean enable) throws DfException
    Throws:
      `DfException`

  - ### isFullBlobNameRetryEnabled

    boolean isFullBlobNameRetryEnabled() throws DfException
    Throws:
      `DfException`